﻿import es
import cfglib, playerlib, random

config = cfglib.AddonCFG(es.getAddonPath('syphon') + '/syphon.cfg')

config.text('*****************************')
config.text('* KnifeSyphon Configuration *')
config.text('*****************************')
announce = config.cvar('syphon_annonuce', 1, 'enables round-start announcement')
health = config.cvar('syphon_health', 40, 'How many health to get for a knife kill?')
config.text('\n')
config.text('* If he/she kills more than 1 players with a knife? (All randomly!) *')
nade = config.cvar('syphon_nade', 'hegrenade', 'Which grenade does a player get? (hegrenade, smokegrenade, flashbang)')
double_flash = config.cvar('syphon_double_flash', 1, 'If flashbang is setup as syphon_nade: 1 = two flashes, 0 = 1 flash')
armor = config.cvar('syphon_armor', 40, 'How many ammo to add to the player?')
wep = config.cvar('syphon_wep', 'ak47', 'Which weapon to free-give the player?')

config.write()

plist = {}

def load():
    config.execute()
    es.ServerVar('syphon_ver', '0.4', 'Knife Syphon Version').makepublic()
    for userid in es.getUseridList():
        user = playerlib.uniqueid(userid, True)
        if not user in plist:
            default(user)

def unload():
    plist.clear()

def default(user):
    global plist
    plist[user] = {}
    plist[user]['syphon'] = 0
    plist[user]['choices'] = 0

def player_activate(ev):
    userid = ev['userid']
    user = playerlib.uniqueid(userid, True)
    if not user in plist:
        default(user)

def round_start(ev):
    if announce == 1:
        es.msg('#multi', '#green[#lightgreenKnifeSyphon ESP#green] #defaultвключен! Любой игрок может получить БОНУС за убийство #lightgreenНОЖОМ!')

def player_death(ev):
    weapon = ev['weapon']
    attacker = ev['attacker']
    a = playerlib.uniqueid(attacker, True)
    a_team = ev['es_attackerteam']
    u_team = ev['es_userteam']
    if weapon == 'knife' and a_team != u_team:
        khealth = es.getplayerprop(attacker, 'CBasePlayer.m_iHealth')
        nhealth = khealth + health
        es.setplayerprop(attacker, 'CBasePlayer.m_iHealth', nhealth)
        plist[a]['syphon'] += 1
        es.tell(attacker, '#multi', '#green[#lightgreenKnifeSyphon ESP#green] #defaultВы получаете #lightgreen%s #defaultХП за убийство #lightgreenножом!' % health)

def player_spawn(ev):
    userid = ev['userid']
    user = playerlib.uniqueid(userid, True)
    plist[user]['choices'] = 0
    if not user in plist:
        default(user)
    if plist[user]['syphon'] > 0:
        players = plist[user]['syphon']
        ghealth = es.getplayerprop(userid, 'CBasePlayer.m_iHealth')
        nhealth = players * health
        es.setplayerprop(userid, 'CBasePlayer.m_iHealth', ghealth + nhealth)
        if players > 1:
            es.tell(userid, '#multi', '#green[#lightgreenKnifeSyphon ESP#green] #defaultНакоплено #lightgreen%s #defaultХП за убийства #lightgreen%s #defaultигроков #lightgreenножом!' % (nhealth, players))
            if players >= 2:
                options = ('nade;ammo;wep')
                option = random.choice(str(options).split(';'))
                if option == 'nade':
                    es.server.cmd('es_xgive %s weapon_%s' % (userid, nade))
                    if nade == 'hegrenade':
                        es.tell(userid, '#multi', '#green[#lightgreenKnifeSyphon ESP#green] #defaultВы получаете #lightgreenосколочную гранату')
                    elif nade == 'flashbang':
                        if double_flash == 1:
                            es.tell(userid, '#multi', '#green[#lightgreenKnifeSyphon ESP#green] #defaultВы получаете #lightreen2 слеповые гранаты!')
                            es.server.cmd('es_xgive %s weapon_flashbang')
                        else:
                            es.tell(userid, '#multi', '#green[#lightgreenKnifeSyphon ESP#green] #defaultВы получаете #lightreenслеповую гранату!')
                    elif nade == 'smokegrenade':
                        es.tell(userid, '#multi', '#green[#lightgreenKnifeSyphon ESP#green] #defaultВы получаете #lightgreenдымовую гранату!')
                elif option == 'ammo':
                    es.server.cmd('es_xgive %s item_assaultsuit' % userid)
                    es.setplayerprop(userid, 'CCSPlayer.m_ArmorValue', + armor)
                    es.tell(userid, '#multi', '#green[#lightgreenKnifeSyphon ESP#green] #defaultВы получаете#lightgreen%s #defaultброни!' % armor)
                elif option == 'wep':
                    es.server.cmd('es_xgive %s weapon_%s' % (userid, wep))
                    es.tell(userid, '#multi', '#green[#lightgreenKnifeSyphon ESP#green] #defaultВы получаете #lightgreen%s' % wep)
        elif players == 1:
            es.tell(userid, '#multi', '#green[#lightgreenKnifeSyphon ESP#green] #defaultНакоплено #lightgreen%s #defaultХП за убийство #lightgreenодного #defaultигрока #lightgreenножом!' % nhealth)
        players = 0
